
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef segloc_POSTER_SHOW_LIB_H
#define segloc_POSTER_SHOW_LIB_H

#include "seglocPosterLib.h"

/* Prototypes */
extern STATUS seglocCntrlPosterShow ( void );
extern STATUS seglocCntrlPosterActivityShow ( void );
extern STATUS seglocLocPosterShow ( void );
extern STATUS seglocLocTransfPosterShow ( void );
extern STATUS seglocLocReportPosterShow ( void );
extern STATUS seglocMiscPosterShow ( void );
extern STATUS seglocMiscSickLocoPosPosterShow ( void );
extern STATUS seglocMiscSickSeglocPosPosterShow ( void );
extern STATUS seglocMiscCurrentLocoPosPosterShow ( void );
extern STATUS seglocMiscCurrentSeglocPosPosterShow ( void );
extern STATUS seglocMiscseglocTimesPosterShow ( void );
extern STATUS seglocMiscSickLocoUncertaintiesPosterShow ( void );
extern STATUS seglocMiscSickSeglocUncertaintiesPosterShow ( void );
extern STATUS seglocMiscStatPosterShow ( void );
extern STATUS seglocMiscCompassPosterShow ( void );
extern STATUS seglocMEPosPosterShow ( void );
extern STATUS seglocMEPosPosPosterShow ( void );
extern STATUS seglocMapPosterShow ( void );
extern STATUS seglocMapMapPosterShow ( void );
extern STATUS seglocSegsPosterShow ( void );
extern STATUS seglocSegsSegsPosterShow ( void );
extern STATUS seglocAspectPosterShow ( void );
extern STATUS seglocAspectAspectPosterShow ( void );
#endif /* SEGLOC_POSTER_SHOW_LIB_H */

