/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SEGLOC_PRINT_H
#define SEGLOC_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/sickTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/seglocPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_SEGLOC_ASPECT_POSTER_STR ( buf_t buf, struct SEGLOC_ASPECT_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_SEGS_POSTER_STR ( buf_t buf, struct SEGLOC_SEGS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MAP_POSTER_STR ( buf_t buf, struct SEGLOC_MAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MEPOS_POSTER_STR ( buf_t buf, struct SEGLOC_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MISC_POSTER_STR ( buf_t buf, struct SEGLOC_MISC_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_LOC_POSTER_STR ( buf_t buf, struct SEGLOC_LOC_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_STR ( buf_t buf, struct SEGLOC_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MAP ( buf_t buf, struct SEGLOC_MAP *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MAP_HEADER ( buf_t buf, struct SEGLOC_MAP_HEADER *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MATCHED_SEGS ( buf_t buf, struct SEGLOC_MATCHED_SEGS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MATCHED_SEG ( buf_t buf, struct SEGLOC_MATCHED_SEG *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MATCHED_SEG_HEADER ( buf_t buf, struct SEGLOC_MATCHED_SEG_HEADER *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_ASPECT_SEGS ( buf_t buf, struct SEGLOC_ASPECT_SEGS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_ACQ_SEGS ( buf_t buf, struct SEGLOC_ACQ_SEGS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_SEG_HEADER ( buf_t buf, struct SEGLOC_SEG_HEADER *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_SEG_PARAMS ( buf_t buf, struct SEGLOC_SEG_PARAMS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_MAP_EDIT ( buf_t buf, struct SEGLOC_MAP_EDIT *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_CUT_SEG ( buf_t buf, struct SEGLOC_CUT_SEG *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_2SEGS ( buf_t buf, struct SEGLOC_2SEGS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_SEG ( buf_t buf, struct SEGLOC_SEG *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_COMPASS_STR ( buf_t buf, struct SEGLOC_COMPASS_STR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_COMPASS_RES ( buf_t buf, struct SEGLOC_COMPASS_RES *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_COMPASS_ENV ( buf_t buf, struct SEGLOC_COMPASS_ENV *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_OFFLINE ( buf_t buf, struct SEGLOC_OFFLINE *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_STAT ( buf_t buf, struct SEGLOC_STAT *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_STATE ( buf_t buf, struct SEGLOC_STATE *x, int nDim, int *dims);
void buf_add_enum_SEGLOC_SURV_LOC_REPORT ( buf_t buf, enum SEGLOC_SURV_LOC_REPORT *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_TIMES ( buf_t buf, struct SEGLOC_TIMES *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_LOC_REPORT ( buf_t buf, struct SEGLOC_LOC_REPORT *x, int nDim, int *dims);
void buf_add_enum_SEGLOC_CONFIDENCE_ATTRIBUTES ( buf_t buf, enum SEGLOC_CONFIDENCE_ATTRIBUTES *x, int nDim, int *dims);
void buf_add_enum_SEGLOC_LOC_QUALITY ( buf_t buf, enum SEGLOC_LOC_QUALITY *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_LOC_PARAMS ( buf_t buf, struct SEGLOC_LOC_PARAMS *x, int nDim, int *dims);
void buf_add_enum_SEGLOC_UPDATE_LOCO ( buf_t buf, enum SEGLOC_UPDATE_LOCO *x, int nDim, int *dims);
void buf_add_enum_SEGLOC_LOC_MODE ( buf_t buf, enum SEGLOC_LOC_MODE *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_START_END_POS ( buf_t buf, struct SEGLOC_START_END_POS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_UNCERTAIN_POS ( buf_t buf, struct SEGLOC_UNCERTAIN_POS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_POS_VAR_SPEED ( buf_t buf, struct SEGLOC_POS_VAR_SPEED *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_POS_VAR ( buf_t buf, struct SEGLOC_POS_VAR *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_VARIANCES ( buf_t buf, struct SEGLOC_VARIANCES *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_POS_SPEED ( buf_t buf, struct SEGLOC_POS_SPEED *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_SPEED ( buf_t buf, struct SEGLOC_SPEED *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_UNC ( buf_t buf, struct SEGLOC_UNC *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_POS ( buf_t buf, struct SEGLOC_POS *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_CLIP_MAP_PARAMS ( buf_t buf, struct SEGLOC_CLIP_MAP_PARAMS *x, int nDim, int *dims);
void buf_add_enum_SEGLOC_CLIP_MODE ( buf_t buf, enum SEGLOC_CLIP_MODE *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_INIT ( buf_t buf, struct SEGLOC_INIT *x, int nDim, int *dims);
void buf_add_struct_SEGLOC_FILE_PARAMS ( buf_t buf, struct SEGLOC_FILE_PARAMS *x, int nDim, int *dims);
void buf_add_enum_SEGLOC_BOOL ( buf_t buf, enum SEGLOC_BOOL *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_SEGLOC_BOOL ( buf_t buf, SEGLOC_BOOL *x, int nDim, int *dims);
void buf_add_SEGLOC_FILE_PARAMS ( buf_t buf, SEGLOC_FILE_PARAMS *x, int nDim, int *dims);
void buf_add_SEGLOC_INIT ( buf_t buf, SEGLOC_INIT *x, int nDim, int *dims);
void buf_add_SEGLOC_CLIP_MODE ( buf_t buf, SEGLOC_CLIP_MODE *x, int nDim, int *dims);
void buf_add_SEGLOC_CLIP_MAP_PARAMS ( buf_t buf, SEGLOC_CLIP_MAP_PARAMS *x, int nDim, int *dims);
void buf_add_SEGLOC_POS ( buf_t buf, SEGLOC_POS *x, int nDim, int *dims);
void buf_add_SEGLOC_UNC ( buf_t buf, SEGLOC_UNC *x, int nDim, int *dims);
void buf_add_SEGLOC_SPEED ( buf_t buf, SEGLOC_SPEED *x, int nDim, int *dims);
void buf_add_SEGLOC_POS_SPEED ( buf_t buf, SEGLOC_POS_SPEED *x, int nDim, int *dims);
void buf_add_SEGLOC_VARIANCES ( buf_t buf, SEGLOC_VARIANCES *x, int nDim, int *dims);
void buf_add_SEGLOC_POS_VAR ( buf_t buf, SEGLOC_POS_VAR *x, int nDim, int *dims);
void buf_add_SEGLOC_POS_VAR_SPEED ( buf_t buf, SEGLOC_POS_VAR_SPEED *x, int nDim, int *dims);
void buf_add_SEGLOC_UNCERTAIN_POS ( buf_t buf, SEGLOC_UNCERTAIN_POS *x, int nDim, int *dims);
void buf_add_SEGLOC_START_END_POS ( buf_t buf, SEGLOC_START_END_POS *x, int nDim, int *dims);
void buf_add_SEGLOC_LOC_MODE ( buf_t buf, SEGLOC_LOC_MODE *x, int nDim, int *dims);
void buf_add_SEGLOC_UPDATE_LOCO ( buf_t buf, SEGLOC_UPDATE_LOCO *x, int nDim, int *dims);
void buf_add_SEGLOC_LOC_PARAMS ( buf_t buf, SEGLOC_LOC_PARAMS *x, int nDim, int *dims);
void buf_add_SEGLOC_LOC_QUALITY ( buf_t buf, SEGLOC_LOC_QUALITY *x, int nDim, int *dims);
void buf_add_SEGLOC_CONFIDENCE_ATTRIBUTES ( buf_t buf, SEGLOC_CONFIDENCE_ATTRIBUTES *x, int nDim, int *dims);
void buf_add_SEGLOC_LOC_REPORT ( buf_t buf, SEGLOC_LOC_REPORT *x, int nDim, int *dims);
void buf_add_SEGLOC_TIMES ( buf_t buf, SEGLOC_TIMES *x, int nDim, int *dims);
void buf_add_SEGLOC_SURV_LOC_REPORT ( buf_t buf, SEGLOC_SURV_LOC_REPORT *x, int nDim, int *dims);
void buf_add_SEGLOC_STATE ( buf_t buf, SEGLOC_STATE *x, int nDim, int *dims);
void buf_add_SEGLOC_STAT ( buf_t buf, SEGLOC_STAT *x, int nDim, int *dims);
void buf_add_SEGLOC_OFFLINE ( buf_t buf, SEGLOC_OFFLINE *x, int nDim, int *dims);
void buf_add_SEGLOC_COMPASS_ENV ( buf_t buf, SEGLOC_COMPASS_ENV *x, int nDim, int *dims);
void buf_add_SEGLOC_COMPASS_RES ( buf_t buf, SEGLOC_COMPASS_RES *x, int nDim, int *dims);
void buf_add_SEGLOC_COMPASS_STR ( buf_t buf, SEGLOC_COMPASS_STR *x, int nDim, int *dims);
void buf_add_SEGLOC_SEG ( buf_t buf, SEGLOC_SEG *x, int nDim, int *dims);
void buf_add_SEGLOC_2SEGS ( buf_t buf, SEGLOC_2SEGS *x, int nDim, int *dims);
void buf_add_SEGLOC_CUT_SEG ( buf_t buf, SEGLOC_CUT_SEG *x, int nDim, int *dims);
void buf_add_SEGLOC_MAP_EDIT ( buf_t buf, SEGLOC_MAP_EDIT *x, int nDim, int *dims);
void buf_add_SEGLOC_SEG_PARAMS ( buf_t buf, SEGLOC_SEG_PARAMS *x, int nDim, int *dims);
void buf_add_SEGLOC_SEG_HEADER ( buf_t buf, SEGLOC_SEG_HEADER *x, int nDim, int *dims);
void buf_add_SEGLOC_ACQ_SEGS ( buf_t buf, SEGLOC_ACQ_SEGS *x, int nDim, int *dims);
void buf_add_SEGLOC_ASPECT_SEGS ( buf_t buf, SEGLOC_ASPECT_SEGS *x, int nDim, int *dims);
void buf_add_SEGLOC_MATCHED_SEG_HEADER ( buf_t buf, SEGLOC_MATCHED_SEG_HEADER *x, int nDim, int *dims);
void buf_add_SEGLOC_MATCHED_SEG ( buf_t buf, SEGLOC_MATCHED_SEG *x, int nDim, int *dims);
void buf_add_SEGLOC_MATCHED_SEGS ( buf_t buf, SEGLOC_MATCHED_SEGS *x, int nDim, int *dims);
void buf_add_SEGLOC_MAP_HEADER ( buf_t buf, SEGLOC_MAP_HEADER *x, int nDim, int *dims);
void buf_add_SEGLOC_MAP ( buf_t buf, SEGLOC_MAP *x, int nDim, int *dims);
void buf_add_SEGLOC_STR ( buf_t buf, SEGLOC_STR *x, int nDim, int *dims);
void buf_add_SEGLOC_LOC_POSTER_STR ( buf_t buf, SEGLOC_LOC_POSTER_STR *x, int nDim, int *dims);
void buf_add_SEGLOC_MISC_POSTER_STR ( buf_t buf, SEGLOC_MISC_POSTER_STR *x, int nDim, int *dims);
void buf_add_SEGLOC_MEPOS_POSTER_STR ( buf_t buf, SEGLOC_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_SEGLOC_MAP_POSTER_STR ( buf_t buf, SEGLOC_MAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_SEGLOC_SEGS_POSTER_STR ( buf_t buf, SEGLOC_SEGS_POSTER_STR *x, int nDim, int *dims);
void buf_add_SEGLOC_ASPECT_POSTER_STR ( buf_t buf, SEGLOC_ASPECT_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* SEGLOC_TCLSERV_CLIENT_ENCODE_H */

