#ifndef SEGLOC_MAP_IO_H
#define SEGLOC_MAP_IO_H

typedef struct SEGKIT_SEG {
  double x1, y1, x2, y2;
  double vx, vy, d;
  double r, o;
  double vr,vro, vo;
  char typ1, typ2;
} SEGKIT_SEG;

typedef struct SEGKIT_MAP_HEADER {
  int nbSegs;
  double x, y, cs, sn, cst, snt;
  char coosys;
  double enc[4];
} SEGKIT_MAP_HEADER;

SEGKIT_SEG *
seglocReadSegkitMap(char *filename, SEGKIT_MAP_HEADER *mapHeader);

BOOL
seglocWriteSegkitMap(char *filename, SEGKIT_MAP_HEADER *mapHeader,
		     SEGKIT_SEG *segs);
BOOL
seglocReadSegkit2SeglocMap(char *filename, SEGLOC_MAP *map);

BOOL
seglocReadSegkit2SeglocMap2(char *filename, int *nbSegs, SEGLOC_SEG *map);

BOOL
seglocWriteSeglocMap(char *filename, SEGLOC_MAP_HEADER *mapHeader,
		     SEGLOC_SEG *segs);

#endif
