
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef segloc_POSTER_XML_LIB_H
#define segloc_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "seglocPrintXML.h"
#include "seglocPosterLib.h"

/* Prototypes */
void websegloc(FILE *f, int argc, char **argv, char **argn);
extern STATUS seglocCntrlPosterXML (FILE *f);
extern STATUS seglocCntrlPosterActivityXML (FILE *f);
extern STATUS seglocLocPosterXML (FILE *f);
extern STATUS seglocLocTransfPosterXML (FILE *f);
extern STATUS seglocLocReportPosterXML (FILE *f);
extern STATUS seglocMiscPosterXML (FILE *f);
extern STATUS seglocMiscSickLocoPosPosterXML (FILE *f);
extern STATUS seglocMiscSickSeglocPosPosterXML (FILE *f);
extern STATUS seglocMiscCurrentLocoPosPosterXML (FILE *f);
extern STATUS seglocMiscCurrentSeglocPosPosterXML (FILE *f);
extern STATUS seglocMiscseglocTimesPosterXML (FILE *f);
extern STATUS seglocMiscSickLocoUncertaintiesPosterXML (FILE *f);
extern STATUS seglocMiscSickSeglocUncertaintiesPosterXML (FILE *f);
extern STATUS seglocMiscStatPosterXML (FILE *f);
extern STATUS seglocMiscCompassPosterXML (FILE *f);
extern STATUS seglocMEPosPosterXML (FILE *f);
extern STATUS seglocMEPosPosPosterXML (FILE *f);
extern STATUS seglocMapPosterXML (FILE *f);
extern STATUS seglocMapMapPosterXML (FILE *f);
extern STATUS seglocSegsPosterXML (FILE *f);
extern STATUS seglocSegsSegsPosterXML (FILE *f);
extern STATUS seglocAspectPosterXML (FILE *f);
extern STATUS seglocAspectAspectPosterXML (FILE *f);
#endif /* SEGLOC_POSTER_XML_LIB_H */

